=== modified file 'drizzled/join.cc'
--- drizzled/join.cc	2011-02-04 18:26:39 +0000
+++ drizzled/join.cc	2011-02-04 19:50:47 +0000
@@ -4505,7 +4505,7 @@
       /* Ignore sj-nests: */
       if (!embedding->on_expr)
         continue;
-      nested_join_st *nested_join= embedding->getNestedJoin();
+      NestedJoin *nested_join= embedding->getNestedJoin();
       if (!nested_join->counter_)
       {
         /*
@@ -5245,7 +5245,7 @@
 static COND *simplify_joins(Join *join, List<TableList> *join_list, COND *conds, bool top)
 {
   TableList *table;
-  nested_join_st *nested_join;
+  NestedJoin *nested_join;
   TableList *prev_table= 0;
   List_iterator<TableList> li(*join_list);
 
@@ -5583,7 +5583,7 @@
       s->embedding_map.reset();
       do
       {
-        nested_join_st *nested_join= embedding->getNestedJoin();
+        NestedJoin *nested_join= embedding->getNestedJoin();
         s->embedding_map|= nested_join->nj_map;
         s->dependent|= embedding->getDepTables();
         embedding= embedding->getEmbedding();
@@ -5667,7 +5667,7 @@
     s= p_pos->getJoinTable();
     s->type= AM_SYSTEM;
     join->const_table_map|=s->table->map;
-    if ((tmp= s->join_read_const_table(p_pos)))
+    if ((tmp= s->joinReadConstTable(p_pos)))
     {
       if (tmp > 0)
         return 1;			// Fatal error
@@ -5741,7 +5741,7 @@
           join->const_table_map|=table->map;
           set_position(join, const_count++, s, (optimizer::KeyUse*) 0);
           partial_pos= join->getSpecificPosInPartialPlan(const_count - 1);
-          if ((tmp= s->join_read_const_table(partial_pos)))
+          if ((tmp= s->joinReadConstTable(partial_pos)))
           {
             if (tmp > 0)
               return 1;			// Fatal error
@@ -5793,7 +5793,7 @@
                 if (create_ref_for_key(join, s, start_keyuse, found_const_table_map))
                   return 1;
                 partial_pos= join->getSpecificPosInPartialPlan(const_count - 1);
-                if ((tmp=s->join_read_const_table(partial_pos)))
+                if ((tmp=s->joinReadConstTable(partial_pos)))
                 {
                   if (tmp > 0)
                     return 1;			// Fatal error
@@ -5958,7 +5958,7 @@
   TableList *table;
   while ((table= li++))
   {
-    nested_join_st *nested_join;
+    NestedJoin *nested_join;
     if ((nested_join= table->getNestedJoin()))
     {
       /*
@@ -6015,9 +6015,9 @@
 }
 
 /**
-  Set nested_join_st::counter=0 in all nested joins in passed list.
+  Set NestedJoin::counter=0 in all nested joins in passed list.
 
-    Recursively set nested_join_st::counter=0 for all nested joins contained in
+    Recursively set NestedJoin::counter=0 for all nested joins contained in
     the passed join_list.
 
   @param join_list  List of nested joins to process. It may also contain base
@@ -6029,7 +6029,7 @@
   TableList *table;
   while ((table= li++))
   {
-    nested_join_st *nested_join;
+    NestedJoin *nested_join;
     if ((nested_join= table->getNestedJoin()))
     {
       nested_join->counter_= 0;
@@ -6115,7 +6115,7 @@
   Join *join= last->join;
   for (;last_emb != NULL; last_emb= last_emb->getEmbedding())
   {
-    nested_join_st *nest= last_emb->getNestedJoin();
+    NestedJoin *nest= last_emb->getNestedJoin();
     
     bool was_fully_covered= nest->is_fully_covered();
     

=== modified file 'drizzled/join_table.cc'
--- drizzled/join_table.cc	2011-02-04 18:26:39 +0000
+++ drizzled/join_table.cc	2011-02-04 19:50:47 +0000
@@ -26,7 +26,7 @@
 namespace drizzled
 {
 
-int JoinTable::join_read_const_table(optimizer::Position *pos)
+int JoinTable::joinReadConstTable(optimizer::Position *pos)
 {
   int error;
   Table *Table= this->table;

=== modified file 'drizzled/join_table.h'
--- drizzled/join_table.h	2011-02-04 18:26:39 +0000
+++ drizzled/join_table.h	2011-02-04 19:50:47 +0000
@@ -246,7 +246,7 @@
   }
 
   void readCachedRecord();
-  int join_read_const_table(optimizer::Position *);
+  int joinReadConstTable(optimizer::Position *pos);
 };
 
 } /* namespace drizzled */

=== modified file 'drizzled/nested_join.h'
--- drizzled/nested_join.h	2011-02-04 18:26:39 +0000
+++ drizzled/nested_join.h	2011-02-04 19:50:47 +0000
@@ -29,7 +29,7 @@
 {
 class TableList;
 
-class nested_join_st
+class NestedJoin
 {
 public:
   /* list of elements in the nested join */

=== modified file 'drizzled/sql_parse.cc'
--- drizzled/sql_parse.cc	2011-01-26 19:15:55 +0000
+++ drizzled/sql_parse.cc	2011-02-04 19:50:47 +0000
@@ -1058,12 +1058,12 @@
 bool Select_Lex::init_nested_join(Session *session)
 {
   TableList *ptr;
-  nested_join_st *nested_join;
+  NestedJoin *nested_join;
 
   if (!(ptr= (TableList*) session->calloc(ALIGN_SIZE(sizeof(TableList))+
-                                       sizeof(nested_join_st))))
+                                       sizeof(NestedJoin))))
     return true;
-  ptr->setNestedJoin(((nested_join_st*) ((unsigned char*) ptr + ALIGN_SIZE(sizeof(TableList)))));
+  ptr->setNestedJoin(((NestedJoin*) ((unsigned char*) ptr + ALIGN_SIZE(sizeof(TableList)))));
   nested_join= ptr->getNestedJoin();
   join_list->push_front(ptr);
   ptr->setEmbedding(embedding);
@@ -1093,7 +1093,7 @@
 TableList *Select_Lex::end_nested_join(Session *)
 {
   TableList *ptr;
-  nested_join_st *nested_join;
+  NestedJoin *nested_join;
 
   assert(embedding);
   ptr= embedding;
@@ -1134,13 +1134,13 @@
 TableList *Select_Lex::nest_last_join(Session *session)
 {
   TableList *ptr;
-  nested_join_st *nested_join;
+  NestedJoin *nested_join;
   List<TableList> *embedded_list;
 
   if (!(ptr= (TableList*) session->calloc(ALIGN_SIZE(sizeof(TableList))+
-                                          sizeof(nested_join_st))))
+                                          sizeof(NestedJoin))))
     return NULL;
-  ptr->setNestedJoin(((nested_join_st*) ((unsigned char*) ptr + ALIGN_SIZE(sizeof(TableList)))));
+  ptr->setNestedJoin(((NestedJoin*) ((unsigned char*) ptr + ALIGN_SIZE(sizeof(TableList)))));
   nested_join= ptr->getNestedJoin();
   ptr->setEmbedding(embedding);
   ptr->setJoinList(join_list);

=== modified file 'drizzled/sql_select.cc'
--- drizzled/sql_select.cc	2011-02-04 18:26:39 +0000
+++ drizzled/sql_select.cc	2011-02-04 19:50:47 +0000
@@ -2606,7 +2606,7 @@
          position:
           1. join->cur_embedding_map - bitmap of pairs of brackets (aka nested
              joins) we've opened but didn't close.
-          2. {each nested_join_st structure not simplified away}->counter - number
+          2. {each NestedJoin class not simplified away}->counter - number
              of this nested join's children that have already been added to to
              the partial join order.
   @endverbatim

=== modified file 'drizzled/table_list.cc'
--- drizzled/table_list.cc	2010-12-18 04:43:40 +0000
+++ drizzled/table_list.cc	2011-02-04 19:50:47 +0000
@@ -76,7 +76,7 @@
 TableList *TableList::last_leaf_for_name_resolution()
 {
   TableList *cur_table_ref= this;
-  nested_join_st *cur_nested_join;
+  NestedJoin *cur_nested_join;
 
   if (is_leaf_for_name_resolution())
     return this;
@@ -114,7 +114,7 @@
 TableList *TableList::first_leaf_for_name_resolution()
 {
   TableList *cur_table_ref= NULL;
-  nested_join_st *cur_nested_join;
+  NestedJoin *cur_nested_join;
 
   if (is_leaf_for_name_resolution())
     return this;

=== modified file 'drizzled/table_list.h'
--- drizzled/table_list.h	2011-02-04 18:26:39 +0000
+++ drizzled/table_list.h	2011-02-04 19:50:47 +0000
@@ -461,7 +461,7 @@
     embedding= in_embedding;
   }
 
-  void setNestedJoin(nested_join_st *in_nested_join)
+  void setNestedJoin(NestedJoin *in_nested_join)
   {
     nested_join= in_nested_join;
   }
@@ -511,7 +511,7 @@
     return join_list;
   }
 
-  nested_join_st *getNestedJoin() const
+  NestedJoin *getNestedJoin() const
   {
     return nested_join;
   }
@@ -532,7 +532,7 @@
 private:
   table_map dep_tables; ///< tables the table depends on
   table_map on_expr_dep_tables; ///< tables on expression depends on
-  nested_join_st *nested_join; ///< if the element is a nested join
+  NestedJoin *nested_join; ///< if the element is a nested join
   TableList *embedding; ///< nested join containing the table
   List<TableList> *join_list; ///< join list the table belongs to
   plugin::StorageEngine *db_type; ///< table_type for handler

